## xbmc 13.1~rc1+dfsg1

=== xbmc/video/Makefile ===
SRCS=Bookmark.cpp \
     FFmpegVideoDecoder.cpp \
     GUIViewStateVideo.cpp \
     PlayerController.cpp \
     Teletext.cpp \
     VideoDatabase.cpp \
     VideoDbUrl.cpp \
     VideoInfoDownloader.cpp \
     VideoInfoScanner.cpp \
     VideoInfoTag.cpp \
     VideoReferenceClock.cpp \
     VideoThumbLoader.cpp \
     
LIB=video.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/asap/flash/Makefile ===
all: asap.swf

include ../players/Makefile

asap.swf: ASAPPlayer.as ASAP.as ASAP_ModuleInfo.as PokeyState.as
	mxmlc -o $@ -compiler.optimize -compiler.warn-duplicate-variable-def=false -target-player 10 ASAPPlayer.as
# -compiler.debug -compiler.warn-no-type-decl=false

ASAP.as: ASAP.ppas ../asap.c ../acpu.c ../apokeysnd.c ../asap.h ../asap_internal.h ../anylang.h ../players.h
	cpp -P -I.. $< > $@
# -DASAP_ONLY_SAP

debug:
	tail -f "${APPDATA}\Macromedia\Flash Player\Logs\flashlog.txt"

clean:
	rm -f asap.swf ASAP.as

.DELETE_ON_ERROR:

=== tools/android/packaging/Makefile ===
include ../../depends/Makefile.include

OBJS = libcurl.so \
  librtmp.so  libmad.so \
  libafpclient.so  \
  libplist.so libshairplay.so \
  libxbogg.so libxbvorbis.so libxbvorbisfile.so libxbFLAC.so libxbmpeg2.so \
  libxbmpeg2convert.so libnfs.so libass.so libbluray.so

PLATFORM_OBJS =
EXCLUDED_ADDONS = screensaver.rsxs.euphoria visualization.dxspectrum visualization.milkdrop visualization.projectm

XBMCROOT = $(shell cd $(CURDIR)/../../..; pwd)
COPYDIRS = system addons language media
AAPT = $(SDKROOT)/platform-tools/aapt
DX = $(SDKROOT)/platform-tools/dx
GCC_VERSION=$(shell $(CC) -dumpversion)

X86OVERRIDES=XBMC_OVERRIDE_HOST=i686-android-linux XBMC_OVERRIDE_TOOLCHAIN=$(XBMC_X86_TOOLCHAIN)
ARMOVERRIDES=XBMC_OVERRIDE_HOST=arm-linux-androideabi XBMC_OVERRIDE_TOOLCHAIN=$(XBMC_ARM_TOOLCHAIN)

#this fixes a android ndk fuckup where the pathes to 
#prebuilt stuff follow different name shemes for
#arm and x86
ifeq ($(findstring i686,$(CPU)),i686)
ARCH=x86
CPU=x86
endif
ifeq ($(findstring arm,$(CPU)),arm)
ARCH=arm
endif

#older ndk x86
GDBPATH=$(NDKROOT)/toolchains/$(ARCH)-$(GCC_VERSION)/prebuilt/gdbserver

ifneq ($(shell test -f $(GDBPATH) && echo 1),1)
#older ndk arm
GDBPATH=$(NDKROOT)/toolchains/$(HOST)-$(GCC_VERSION)/prebuilt/gdbserver
endif

ifneq ($(shell test -f $(GDBPATH) && echo 1),1)
#vanilla ndk >= 8
GDBPATH=$(NDKROOT)/prebuilt/android-$(ARCH)/gdbserver/gdbserver
endif

all: package
SRCLIBS = $(addprefix $(PREFIX)/lib/,$(OBJS)) $(addprefix $(PREFIX)/lib/$(SDK_PLATFORM)/,$(PLATFORM_OBJS))
DSTLIBS = $(CPU)/lib/libxbmc.so $(addprefix $(CPU)/lib/,$(OBJS)) $(addprefix $(CPU)/lib/,$(PLATFORM_OBJS))
libs= $(DSTLIBS)

multi: x86 arm
	@cp images/xbmcapp-debug-skeleton.apk images/xbmcapp-debug-multi-unaligned.apk
	@cd xbmc; zip -r -q ../images/xbmcapp-debug-multi-unaligned.apk lib/ assets
	@jarsigner -sigalg MD5withRSA -digestalg SHA1 -keystore ~/.android/debug.keystore -storepass android images/xbmcapp-debug-multi-unaligned.apk androiddebugkey
	@$(SDKROOT)/tools/zipalign -f 4 images/xbmcapp-debug-multi-unaligned.apk $(XBMCROOT)/xbmcapp-multi-debug.apk
	@rm images/xbmcapp-debug-multi-unaligned.apk
	@echo "$(XBMCROOT)/xbmcapp-multi-debug.apk created"

package: extras
	@cp images/xbmcapp-debug-skeleton.apk images/xbmcapp-debug-$(CPU)-unaligned.apk
	@javac -classpath $(SDKROOT)/platforms/$(SDK_PLATFORM)/android.jar:xbmc/obj -d xbmc/obj -sourcepath xbmc/src xbmc/src/*.java
	@javac -classpath $(SDKROOT)/platforms/$(SDK_PLATFORM)/android.jar:xbmc/obj -d xbmc/obj -sourcepath xbmc/src xbmc/src/org/xbmc/xbmc/*.java
	@$(DX) --dex --output=xbmc/classes.dex xbmc/obj
	@cd xbmc; zip -r -q ../images/xbmcapp-debug-$(CPU)-unaligned.apk lib/$(CPU) assets classes.dex
	@jarsigner -sigalg MD5withRSA -digestalg SHA1 -keystore ~/.android/debug.keystore -storepass android images/xbmcapp-debug-$(CPU)-unaligned.apk androiddebugkey
	@$(SDKROOT)/tools/zipalign -f 4 images/xbmcapp-debug-$(CPU)-unaligned.apk $(XBMCROOT)/xbmcapp-$(CPU)-debug.apk
	@rm images/xbmcapp-debug-$(CPU)-unaligned.apk
	@echo "$(XBMCROOT)/xbmcapp-$(CPU)-debug.apk created"

extras: libs
	rm -rf xbmc/assets
	mkdir -p xbmc/assets xbmc/res xbmc/res/raw xbmc/assets/python2.6/lib/
	cp -rfp $(PREFIX)/share/xbmc/* ./xbmc/assets
	find `pwd`/xbmc/assets/ -depth -name ".git" -exec rm -rf {} \;
	find `pwd`/xbmc/assets/system/ -name "*.so" -exec rm {} \;
	find `pwd`/xbmc/assets/addons/skin.*/media/* -depth -not -iname "Textures.xbt" -exec rm -rf {} \;
	find `pwd`/xbmc/assets/system/keymaps/ -depth -name "joystick*.xml" ! -name "joystick.xml" -exec rm {} \;
	@echo "native_arch=$(ARCH)" > xbmc/res/raw/xbmc.properties
	cd xbmc/assets/addons; rm -rf $(EXCLUDED_ADDONS)
	cp -rfp $(PREFIX)/lib/python2.6 xbmc/assets/python2.6/lib/
	cp -fp $(XBMCROOT)/media/Splash.png xbmc/res/drawable/splash.png
	cp -fp media/drawable-hdpi/ic_launcher.png xbmc/res/drawable-hdpi/ic_launcher.png
	cp -fp media/drawable-ldpi/ic_launcher.png xbmc/res/drawable-ldpi/ic_launcher.png
	cp -fp media/drawable-mdpi/ic_launcher.png xbmc/res/drawable-mdpi/ic_launcher.png
	cp -fp media/drawable-xhdpi/ic_launcher.png xbmc/res/drawable-xhdpi/ic_launcher.png
	cp -fp media/drawable-xxhdpi/ic_launcher.png xbmc/res/drawable-xxhdpi/ic_launcher.png
	cd xbmc/assets/python2.6/lib/python2.6/; rm -rf test config lib-dynload
	mkdir -p tmp/res; $(AAPT) c -S xbmc/res -C tmp/res; cp -r -n xbmc/res tmp/ || true
	$(AAPT) p -f -I $(SDKROOT)/platforms/$(SDK_PLATFORM)/android.jar -S tmp/res/ -M xbmc/AndroidManifest.xml -F images/xbmcapp-debug-skeleton.apk -J xbmc/src
	@rm -rf tmp/

libs: $(PREFIX)/lib/xbmc/libxbmc.so
	rm -rf xbmc/lib/$(CPU) xbmc/libs/$(CPU) xbmc/obj/local/$(CPU)
	mkdir -p xbmc/lib/$(CPU) images xbmc/assets/python2.6/lib/ xbmc/libs/$(CPU) xbmc/obj/local/$(CPU)
	cp -fp $(SRCLIBS) xbmc/obj/local/$(CPU)/
	cp -fp $(PREFIX)/lib/xbmc/libxbmc.so xbmc/obj/local/$(CPU)/
	find $(PREFIX)/lib/xbmc/addons -name "*.so" -exec cp -fp {} xbmc/obj/local/$(CPU)/ \;
	find $(PREFIX)/lib/xbmc/system -name "*.so" -exec cp -fp {} xbmc/obj/local/$(CPU)/ \;
	cd xbmc/obj/local/$(CPU)/; find . -name "*.so" -not -name "lib*.so" | sed "s/\.\///" | xargs -I@ mv @ lib@
	cp -fp xbmc/obj/local/$(CPU)/*.so xbmc/lib/$(CPU)/
	$(STRIP) --strip-unneeded xbmc/lib/$(CPU)/*.so
	install -p $(GDBPATH) ./xbmc/libs/$(CPU)/gdbserver
	echo "set solib-search-path ./obj/local/$(CPU)" > ./xbmc/libs/$(CPU)/gdb.setup
	echo "directory $(TOOLCHAIN)/sysroot/usr/include $(NDKROOT)/sources/android/native_app_glue" \
	     "$(NDKROOT)/sources/cxx-stl/gnu-libstdc++/$(GCC_VERSION)/include $(XBMCROOT)  $(PREFIX)/include jni" >> ./xbmc/libs/$(CPU)/gdb.setup
	cp -fp xbmc/libs/$(CPU)/* xbmc/lib/$(CPU)

$(PREFIX)/lib/xbmc/libxbmc.so: $(SRCLIBS)
	$(MAKE) -C ../../depends/target/xbmc

$(SRCLIBS):

arm: armeabi-v7a

armeabi-v7a: $(XBMC_ARM_TOOLCHAIN) force
	XBMC_OVERRIDE_PLATFORM=$@ $(ARMOVERRIDES) $(MAKE) package

x86: $(XBMC_X86_TOOLCHAIN) force
	XBMC_OVERRIDE_PLATFORM=$@ $(X86OVERRIDES) $(MAKE) package

clean:
	rm -rf images
	rm -rf xbmc/lib
	rm -rf xbmc/libs
	rm -rf xbmc/assets
	rm -rf xbmc/obj
	rm -rf xbmc/res/raw
	rm -rf tmp
	rm -f xbmc/res/drawable/splash.png
	rm -f xbmc/src/R.java
	rm -f xbmc/classes.dex

.PHONY: arm armeabi-v7a x86 force extras libs

=== tools/depends/native/Makefile ===
include ../Makefile.include

ifneq ($(shell test -f $(NATIVEPREFIX)/share/config.site && echo 1),1)
  $(error Error: $(NATIVEPREFIX)/share/config.site  is missing. Please reconfigure depends to generate it)
endif

NATIVE= m4-native gettext-native autoconf-native automake-native \
        libtool-native pkg-config-native yasm-native cmake-native \
        gas-preprocessor-native python26-native zlib-native \
        pcre-native swig-native rpl-native libsdl_image-native \
        tiff-native libpng-native libjpeg-turbo-native liblzo2-native \
        libsdl-native distribute-native distutilscross-native


ifeq ($(OS),ios)
  NATIVE += dpkg-native xz-native tar-native
endif

ifeq ($(OS),osx)
  NATIVE += xz-native tar-native
endif

.PHONY: $(NATIVE) native

all: native
	@echo "Dependencies built successfully."

# Dependency layout for parallel builds
autoconf-native: m4-native
automake-native: autoconf-native
libtool-native: automake-native
libpng-native: zlib-native
tiff-native: libjpeg-turbo-native
swig-native: pcre-native
libsdl_image-native: libsdl-native libpng-native libjpeg-turbo-native tiff-native
distribute-native: python26-native
distutilscross-native: python26-native distribute-native
tar-native: xz-native
python26-native: zlib-native

#liblzo2 has stale packaged automake files that cause borked host/build detection
liblzo2-native: automake-native

native: $(NATIVE)
$(NATIVE):
	$(MAKE) -C $@
clean:
	for d in $(NATIVE); do $(MAKE) -C $$d clean; done

# Debug target, this will DELETE all data in staging!
test-dependencies:
	( for d in $(NATIVE); do \
	rm -rf $(NATIVEPREFIX); \
        mkdir -p $(NATIVEPREFIX)/include $(NATIVEPREFIX)/share $(NATIVEPREFIX)/bin; \
	cp -f config.site $(NATIVEPREFIX)/share/; \
	$(MAKE) distclean; \
	$(MAKE) $$d; done ) && echo "$@ built successfully"

distclean::
	for d in $(NATIVE); do $(MAKE) -C $$d distclean; done

=== tools/depends/target/Makefile ===
include ../Makefile.include

ifneq ($(shell test -f $(PREFIX)/share/config.site && echo 1),1)
  $(error Error: $(PREFIX)/share/config.site  is missing. Please reconfigure depends to generate it)
endif

DEPENDS = \
	pcre expat gettext sqlite3 libgpg-error \
	libgcrypt bzip2 liblzo2 libzip freetype2 fontconfig \
	openssl gmp nettle gnutls libssh2 curl \
	libjpeg-turbo tiff jasper libpng \
	libogg libvorbis libflac libmad fribidi libmpeg2 \
	libass libsamplerate \
	libmodplug librtmp libxml2 yajl libmicrohttpd mysql libffi \
	python26 afpfs-ng libshairplay \
	libplist libcec libbluray boost tinyxml dummy-libxbmc \
	libamplayer libssh taglib xbmc-pvr-addons libusb libnfs libmp3lame \
	pythonmodule-pil libxslt

ifeq ($(ENABLE_GPLV3),1)
  DEPENDS+=samba-gplv3 libcdio-gplv3
else
  DEPENDS+=samba libcdio
endif

ifeq ($(OS),ios)
  DEPENDS += Backrow
  EXCLUDED_DEPENDS = libcec libcrystalhd libusb gmp nettle gnutls
endif

ifeq ($(OS),osx)
  DEPENDS += libGLEW libsdl libcrystalhd
  EXCLUDED_DEPENDS = libusb gmp nettle gnutls
endif

ifeq ($(OS),android)
  DEPENDS += mdnsresponder android-sources-ics
  EXCLUDED_DEPENDS = gmp nettle gnutls
endif

DEPENDS := $(filter-out $(EXCLUDED_DEPENDS),$(DEPENDS))

ZLIB=
ifneq ($(HAS_ZLIB),1)
  DEPENDS += zlib
  ZLIB = zlib
endif

ICONV=
ifeq ($(NEED_LIBICONV),1)
  DEPENDS += libiconv
  ICONV = libiconv
endif

ALSA_LIB=
LINUX_SYSTEM_LIBS=
ifeq ($(OS),linux)
  #not for raspberry pi
  ifneq ($(CPU),arm)
    DEPENDS += alsa-lib libsdl linux-system-libs
    ALSA_LIB = alsa-lib
    LINUX_SYSTEM_LIBS = linux-system-libs
  endif
endif

.PHONY: $(DEPENDS)

all: .installed-$(PLATFORM)

gettext: $(ICONV)
libgcrypt: libgpg-error
fontconfig: freetype2 expat $(ICONV)
libssh2: libgcrypt openssl
curl: openssl libssh2
tiff: libjpeg-turbo
jasper: libjpeg-turbo
libvorbis: libogg
libflac: libogg gettext
libass: fontconfig libpng freetype2 expat $(ICONV)
librtmp: openssl
libmicrohttpd: openssl libgpg-error libgcrypt
python26: expat gettext libxml2 sqlite3 openssl libffi
libcdio: $(ICONV)
afpfs-ng: libgcrypt $(ICONV)
libplist: libxml2 $(ZLIB)
libbluray: $(ICONV) libxml2
libssh: openssl
xbmc-pvr-addons: boost mysql
mysql: openssl
libzip: $(ZLIB)
libmp3lame: $(ICONV)
libpng: $(ZLIB)
openssl: $(ZLIB)
gnutls: nettle $(ZLIB)
nettle: gmp
pythonmodule-pil: $(ZLIB) libjpeg-turbo libpng freetype2 python26
libsdl: $(LINUX_SYSTEM_LIBS)
libxslt: libgcrypt

.installed-$(PLATFORM): $(DEPENDS)
	touch $@
	@echo "Dependencies built successfully."

$(DEPENDS):
	$(MAKE) -C $@

clean:
	for d in $(DEPENDS); do $(MAKE) -C $$d clean; done

# Debug target, this will DELETE all data in staging!
test-dependencies:
	( for d in $(DEPENDS); do \
	rm -rf $(PREFIX); \
	mkdir -p $(PREFIX)/include $(PREFIX)/share $(PREFIX)/bin; \
	cp -f config.site Toolchain.cmake $(PREFIX)/share/; \
	$(MAKE) distclean; \
	$(MAKE) $$d; done ) && echo "$@ built successfully"


distclean::
	for d in $(DEPENDS); do $(MAKE) -C $$d distclean; done

linux-system-libs:
	[ -f $(PREFIX)/lib/pkgconfig/x11.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/x11.pc $(PREFIX)/lib/pkgconfig/x11.pc
	[ -f $(PREFIX)/lib/pkgconfig/xproto.pc ] || ln -s /usr/share/pkgconfig/xproto.pc $(PREFIX)/lib/pkgconfig/xproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/kbproto.pc ] || ln -s /usr/share/pkgconfig/kbproto.pc $(PREFIX)/lib/pkgconfig/kbproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xcb.pc $(PREFIX)/lib/pkgconfig/xcb.pc
	[ -f $(PREFIX)/lib/pkgconfig/pthread-stubs.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/pthread-stubs.pc $(PREFIX)/lib/pkgconfig/pthread-stubs.pc
	[ -f $(PREFIX)/lib/pkgconfig/xau.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xau.pc $(PREFIX)/lib/pkgconfig/xau.pc
	[ -f $(PREFIX)/lib/pkgconfig/xdmcp.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xdmcp.pc $(PREFIX)/lib/pkgconfig/xdmcp.pc
	[ -f $(PREFIX)/lib/pkgconfig/xext.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xext.pc $(PREFIX)/lib/pkgconfig/xext.pc
	[ -f $(PREFIX)/lib/pkgconfig/xextproto.pc ] || ln -s /usr/share/pkgconfig/xextproto.pc $(PREFIX)/lib/pkgconfig/xextproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xt.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xt.pc $(PREFIX)/lib/pkgconfig/xt.pc
	[ -f $(PREFIX)/lib/pkgconfig/ice.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/ice.pc $(PREFIX)/lib/pkgconfig/ice.pc
	[ -f $(PREFIX)/lib/pkgconfig/sm.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/sm.pc $(PREFIX)/lib/pkgconfig/sm.pc
	[ -f $(PREFIX)/lib/pkgconfig/xmu.pc ] || ln -s /usr/lib/$(HOST)/pkgconfig/xmu.pc $(PREFIX)/lib/pkgconfig/xmu.pc

=== tools/rbp/depends/Makefile ===
include ../Makefile.include

ifeq ($(USE_BUILDROOT),1)
	BUILDTOOLS = 
	SUBDIRS = xbmc
else
	BUILDTOOLS = help2man autoconf automake libtool pkg-config yasm cmake patchelf
	SUBDIRS = liblzo2 tiff libnfs jasper libplist libshairplay tinyxml xbmc
endif

IMAGENAME = xbmc-rbp-`date +'%y%m%d'`

.PHONY: buildtools subdirs

all: buildtools subdirs

buildtools:
	for d in $(BUILDTOOLS); do $(MAKE) -C $$d; done

subdirs:
	for d in $(SUBDIRS); do $(MAKE) -C $$d; done

clean:
	for d in $(BUILDTOOLS); do $(MAKE) -C $$d clean; done
	for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done

distclean::
	for d in $(BUILDTOOLS); do $(MAKE) -C $$d distclean; done
	for d in $(SUBDIRS); do $(MAKE) -C $$d distclean; done
	rm -rf $(XBMCPREFIX)

image:
	make -C $(BUILDROOT) tarroot IMAGE=$(CURDIR)/$(IMAGENAME) TAR_COMPRESSOR=
	echo "S111xbmc S110rc.local" | cat $(TARGETFS)/etc/init.d/rc.deps - > $(CURDIR)/packaging/etc/init.d/rc.deps
	cd packaging; tar -uf $(CURDIR)/$(IMAGENAME).tar *
	tar -uf $(CURDIR)/$(IMAGENAME).tar $(XBMCPREFIX) 
	gzip $(IMAGENAME).tar

=== xbmc/network/mdns/Makefile ===
SRCS=ZeroconfMDNS.cpp \
     ZeroconfBrowserMDNS.cpp \

LIB=mdns.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/powermanagement/linux/Makefile ===
SRCS=ConsoleDeviceKitPowerSyscall.cpp \
     ConsoleUPowerSyscall.cpp \
     HALPowerSyscall.cpp \
     UPowerSyscall.cpp \
     LogindUPowerSyscall.cpp

LIB=powermanagement_linux.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/depends/native/pcre-native/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS= ../../Makefile.include.in Makefile

# lib name, version
LIBNAME=pcre
VERSION=8.33
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --disable-cpp \
	--disable-shared --disable-stack-for-recursion \
	--enable-pcre8 --disable-pcre16 --disable-pcre32 \
	--enable-jit --enable-utf --enable-unicode-properties


LIBDYLIB=$(PLATFORM)/.libs/lib$(LIBNAME).so
CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $(LIBDYLIB)
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/tiff-native/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS= ../../Makefile.include.in Makefile

# lib name, version
LIBNAME=tiff
VERSION=3.9.7
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) config/; \
          ./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/libtiff/.libs/lib$(LIBNAME).a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/Backrow/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include

SOURCE=Backrow
ARCHIVE=$(SOURCE).tar.gz
# Specific download location
BASE_URL=http://xbmc-for-atv2.googlecode.com/svn/trunk/Backrow

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):                                                                                                                                                                                 
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM)/$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	mkdir -p $(PLATFORM)/$(SOURCE)
	cd $(PLATFORM)/$(SOURCE);$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

.installed-$(PLATFORM): $(PLATFORM)/$(SOURCE)
	mkdir -p $(PREFIX)/include
	cp -rf $(PLATFORM)/$(SOURCE) $(PREFIX)/include/
	touch $@

clean:
distclean::
	rm -rf $(SOURCE) .installed-$(PLATFORM)

=== tools/depends/target/alsa-lib/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile removeshm-2.patch removeshm-3.patch removeshm-upstream.patch timeval.patch

# lib name, version
LIBNAME=libasound
VERSION=1.0.23
SOURCE=alsa-lib-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2

# configuration settings
CFLAGS += \
	-fPIC -DPIC \
	-finline-limit=300 -finline-functions -fno-inline-functions-called-once \

CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          $(AUTORECONF) -vif; \
          ./configure --prefix=$(PREFIX) \
          --with-alsa-devdir=/dev/snd/ --with-plugindir=/system/usr/lib/alsa-lib --with-configdir=/system/usr/share/alsa \
          --with-ctl-plugins=ext \
          --with-pcm-plugins="copy,linear,route,mulaw,alaw,adpcm,rate,plug,multi,file,null,empty,share,meter,hooks,lfloat,ladspa,asym,iec958,softvol,extplug,ioplug,mmap_emul" \
          --disable-resmgr --enable-aload --enable-mixer  --enable-pcm  --disable-rawmidi  --enable-hwdep  --disable-seq  --disable-alisp  --disable-old-symbols --disable-python \
          --with-softfloat=yes --with-libdl=yes --with-pthread=yes --with-librt=no --disable-shared \

LIBDYLIB=$(PLATFORM)/src/.libs/$(LIBNAME).a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
ifeq ($(OS),android)
	cd $(PLATFORM); patch -p1 < ../removeshm-upstream.patch
	cd $(PLATFORM); patch -p0 < ../removeshm-2.patch
	cd $(PLATFORM); patch -p0 < ../removeshm-3.patch
	cd $(PLATFORM); patch -p0 < ../timeval.patch
endif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/src

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/src install-libLTLIBRARIES
	$(MAKE) -C $(PLATFORM)/include install
	$(MAKE) -C $(PLATFORM)/utils install
ifeq ($(OS),android)
	rm -f $(PREFIX)/lib/libasound.la $(PREFIX)/lib/libasound.so $(PREFIX)/lib/libxbasound.so $(PREFIX)/lib/libasound.so.2
	mv -f $(PREFIX)/lib/libasound.so.2.0.0 $(PREFIX)/lib/libasound.so
	$(RPL) -e "libasound.so.2" "libasound.so\x00\x00" $(PREFIX)/lib/libasound.so
	-$(READELF) --dynamic $(PREFIX)/lib/libasound.so | grep ibrary
endif
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== debian/changelog ===
xbmc (2:13.1~rc1+dfsg1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Build-depend on ttf-dejavu-core instead of fonts-dejavu-core
  * Fall back to old location of DejaVuSans.ttf if needed.
  * Fall back to old location of libhdhomerun includes if needed

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Jun 2014 21:55:22 +0200

xbmc (2:13.1~rc1+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham RC1
    - release notes: http://xbmc.org/xbmc-13-1-gotham-rc1/
  * Always enable parallel builds
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 21 Jun 2014 08:24:02 -0700

xbmc (2:13.1~beta2+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham Beta2
    - release notes: http://xbmc.org/xbmc-13-1-gotham-beta-2
  * Fix embedded subtitle handling using Libav
  * Refactor patches to split Libav-related ones
  * Drop obsolete chunk from 06-use-external-libraries.patch
  * Ship additional include files in xbmc-addons-dev
    Those headers are used by PVR addons compatible with XBMC 13.
  * Define AV_CODEC_ID_SUBRIP to AV_CODEC_ID_TEXT in libav hacks and fix compilation

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 23 May 2014 16:58:11 +0700

xbmc (2:13.1~beta1+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham Beta1
    - release notes: http://xbmc.org/xbmc-13-1-beta1-gotham
  * Fix #include directive across installed headers

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 13 May 2014 12:18:34 +0200

xbmc (2:13.0+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-rises
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 05 May 2014 10:13:52 +0200

xbmc (2:13.0~rc1+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham RC 1
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-release-candidate-1
  * Use groovy.jar instead of groovy-all-1.8.6.jar to work around FTBFS
    (Closes: #744330)
  * Revert to using system's groovy
  * Ship XBMC Addon headers in xbmc-addons-dev package
  * Don't set source dir for dh_install, rely on defaults instead

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 04 May 2014 14:11:58 +0200

xbmc (2:13.0~beta4+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham Beta 4
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-beta-4
  * XBMC 13.0 Gotham Beta 3
    - release notes: http://xbmc.org/xbmc-13-0-gotham-beta-3-returns
  * Drop unused Debian patches
  * Refresh patches
  * Fix av_stream_get_r_frame_rate Libav hack accessor
  * Stop shipping minified iscroll.js.
  * Make xbmc depend on libjs-iscroll and use minified iscroll.js from it
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 9
  * Migrate to dh_python2
  * Use XBMC's groovy since Debian's groovy is broken in unstable
  * Make package team-maintained by Debian Multimedia Maintainers.
    Debian XBMC Packaging Team which was dysfunctional since the single
    developer member of it is MIA since months.
  * Remove Andres Mejia as uploader since he is tracked as MIA.
    Thank you for maintaining the package for a long time! (Closes: #743558)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 19 Apr 2014 21:00:07 +0200

xbmc (2:13.0~beta2+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham Beta2
    - release notes: http://xbmc.org/xbmc-13-0-gotham-the-beta-2-we-deserve
  * Drop 0003-Use-NULL-from-cstddef.patch since it has been integrated upstream
  * Refresh patches
  * Stop directing users to read README.Debian under "XBMC from Debian" logo
  * Re-enable using PulseAudio (Closes: #741531)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Mar 2014 00:57:47 +0100

xbmc (2:13.0~beta1+dfsg1-1) experimental; urgency=low

  * XBMC 13.3 Gotham Beta1
    - release notes: http://xbmc.org/xbmc-13-0-gotham-beta1-rises
  * Refresh patches
  * Remove version check add-on since it is handled by APT in Debian
  * Fix build when GIT_REV is not defined
  * Disable static ffmpeg
  * Use XBMC's config.h for DVDnav
  * Build-depend on libxslt-dev
  * Build-depend on Libav 10 libraries
  * Fix compilation with libav 10 beta1 (Closes: #739441)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Mar 2014 12:44:50 +0100

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 cmake,
 autopoint,
 autotools-dev,
 autoconf,
 automake,
 dh-autoreconf,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libftgl-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev (>= 2.6.6-3~),
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev,
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev [!armel !armhf],
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel armhf],
 python-imaging,
 libplist-dev,
 libcec-dev (>= 2),
 libudev-dev,
 udev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libxslt1-dev,
 libmp3lame-dev,
 libssh-dev,
 libtag1-dev (>= 1.8),
 swig,
 default-jre,
 libbluray-dev,
 libva-dev [!armel !armhf],
 libavcodec-dev (>= 6:10~),
 libavfilter-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libpostproc-dev,
 libswscale-dev,
 gimp,
 groovy,
 libcommons-lang-java,
 doxygen,
 libcap-dev,
 libsidplay2-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libhdhomerun-dev,
 fontforge,
 ttf-dejavu-core,
 fonts-droid,
 ttf-bitstream-vera
Standards-Version: 3.9.5
Homepage: http://xbmc.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc.git

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         fonts-dejavu-core | ttf-dejavu-core,
         fonts-roboto,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common, libgl1-mesa-swx11
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: any
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the J2ME package for XBMC Event Client. This is meant to
 provide a server that communicate with a mobile tool supporting Java ME.

Package: xbmc-eventclients-ps3
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client PS3 package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
# NOTE: DEB_BUILD_OPTIONS must have 'nostrip' otherwise debugging symbols will
# be stripped from binaries.
XBMC_RELEASE ?= yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
XBMC_RELEASE ?= no
endif

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
else
  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
endif

# Enable gles for armel and armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifeq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS += -lvdpau
else
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau \
                    --disable-vaapi
endif

# Various environment variables to set
DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl)
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
  LDFLAGS="$(DEB_LDFLAGS)"

# fall back to old location of libhdhomerun includes if needed
ifneq ("$(wildcard /usr/lib/libhdhomerun/hdhomerun.h)","")
  DEB_CXXFLAGS += -I/usr/lib/
endif

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --enable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --disable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-afpclient \
  --enable-airtunes \
  --enable-external-libraries \
  --enable-libav-compat \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  --disable-gtest \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf --with python2 --parallel

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

# Use package's version in XBMC
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')
GIMP_FAKE_HOMEDIR = $(CURDIR)/debian/tmp/home/user

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

override_dh_auto_configure: configure
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/GUIInfoManager.cpp
	rm -r addons/service.xbmc.versioncheck
	mkdir -p xbmc/visualizations/XBMCProjectM/libprojectM/fonts
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/VeraMono.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$(CURDIR)/media/Fonts/arial.ttf
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)
	# Add Debian related notes to XBMC's original logo
	mkdir -p $(GIMP_FAKE_HOMEDIR)
	HOME=$(GIMP_FAKE_HOMEDIR) GIMP2_DIRECTORY=$(GIMP_FAKE_HOMEDIR)/.gimp-dir gimp -i -b '(load "debian/xcf2png.scm") (xcf2png "debian/xbmc-logo.xcf" "addons/skin.confluence/media/xbmc-logo.png") (gimp-quit 0)'

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD
	mkdir -p $(CURDIR)/debian/tmp/usr/include/xbmc
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.gui/libXBMC_gui.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_gui.h
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.pvr/libXBMC_pvr.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_pvr.h

override_dh_install:
	dh_install -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt \
		-XRoboto-Bold.ttf -XRoboto-Regular.ttf -XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs
	# OTOH we need to remove exec flag after dh_strip
	chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/visualization.*/*.vis
	-chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/screensaver.rsxs.*/*.xbs

override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/xbmc-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lFLAC \
		-lhdhomerun \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lshairport \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

# Get original XBMC source and cut not needed bits.
# Based on https://github.com/xbmc/xbmc-packaging/blob/master/xbmc-get-orig-source
ORIG_SRC_DIR := debian/tmp-src-dir
UPSTREAM_VER ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9]:)?([0-9.]+)(\+dfsg\d+)?.*$$/\2/p')
DFSG_VER = $(UPSTREAM_VER)+dfsg1

get-orig-source:
	mkdir -p $(ORIG_SRC_DIR)
	wget -O $(ORIG_SRC_DIR)/xbmc-orig.tar.gz http://mirrors.xbmc.org/releases/source/xbmc-$(UPSTREAM_VER).tar.gz
	tar -C $(ORIG_SRC_DIR) -xf $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	rm $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	# Remove non-free components
	find $(ORIG_SRC_DIR)/* -depth \( -iname '*dvdcss*' -o -iname '*unrar*' \) -exec rm -rf "{}" \;
	# Remove components not needed for Linux
	rm -rf $(ORIG_SRC_DIR)/*/lib/afpfs-ng \
		$(ORIG_SRC_DIR)/*/lib/enca \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jasper \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jbig \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jpeg \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/mng \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/png \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/tiff \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/zlib \
		$(ORIG_SRC_DIR)/*/lib/freetype \
		$(ORIG_SRC_DIR)/*/lib/gtest \
